This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 503978 - (CVE-2009-0580) CVE-2009-0580 tomcat6 Information disclosure in authentication classes
CVE-2009-0580 tomcat6 Information disclosure in authentication classes
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=asf,reported=200906...
: Security
Depends On: 574565 503980 503981 504113 504115 528911 528913 528914 533903 533905 574566
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 12:17 EDT by Marc Schoenefeld
Modified: 2011-10-25 16:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-25 16:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2009-06-03 12:17:33 EDT
Due to insufficient error checking in some authentication classes, Tomcat allows for the enumeration (brute force testing) of user names by supplying illegally URL encoded passwords. The attack is possible if FORM based authenticiaton (j_security_check) with either the MemoryRealm, DataSourceRealm or JDBCRealm.
Comment 2 Marc Schoenefeld 2009-06-03 12:50:16 EDT
Patchset for tomcat5: http://svn.apache.org/viewvc?view=rev&revision=781379
Patchset for tomcat6: http://svn.apache.org/viewvc?view=rev&revision=747840
Comment 5 errata-xmlrpc 2009-07-06 07:41:05 EDT
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 5

Via RHSA-2009:1145 https://rhn.redhat.com/errata/RHSA-2009-1145.html
Comment 6 errata-xmlrpc 2009-07-06 07:41:33 EDT
This issue has been addressed in following products:

  JBEAP 4.3.0 for RHEL 4

Via RHSA-2009:1146 https://rhn.redhat.com/errata/RHSA-2009-1146.html
Comment 7 errata-xmlrpc 2009-07-06 07:42:22 EDT
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 5

Via RHSA-2009:1143 https://rhn.redhat.com/errata/RHSA-2009-1143.html
Comment 8 errata-xmlrpc 2009-07-06 07:42:37 EDT
This issue has been addressed in following products:

  JBEAP 4.2.0 for RHEL 4

Via RHSA-2009:1144 https://rhn.redhat.com/errata/RHSA-2009-1144.html
Comment 9 errata-xmlrpc 2009-07-21 16:56:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1164 https://rhn.redhat.com/errata/RHSA-2009-1164.html
Comment 11 errata-xmlrpc 2009-09-21 11:51:53 EDT
This issue has been addressed in following products:

  JBEWS 1.0.0 for RHEL 4
  JBEWS 1.0.0 for RHEL 5

Via RHSA-2009:1454 https://rhn.redhat.com/errata/RHSA-2009-1454.html
Comment 15 errata-xmlrpc 2009-10-14 12:15:21 EDT
This issue has been addressed in following products:

  JBEWS 1.0.0 for RHEL 5
  JBEWS 1.0.0 for RHEL 4

Via RHSA-2009:1506 https://rhn.redhat.com/errata/RHSA-2009-1506.html
Comment 16 errata-xmlrpc 2009-11-09 10:26:29 EST
This issue has been addressed in following products:

  RHAPS Version 2 for RHEL 4

Via RHSA-2009:1562 https://rhn.redhat.com/errata/RHSA-2009-1562.html
Comment 17 errata-xmlrpc 2009-11-09 10:37:37 EST
This issue has been addressed in following products:

  Red Hat Developer Suite V.3

Via RHSA-2009:1563 https://rhn.redhat.com/errata/RHSA-2009-1563.html
Comment 21 errata-xmlrpc 2009-11-30 10:16:18 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2
  Red Hat Network Satellite Server v 5.3

Via RHSA-2009:1616 https://rhn.redhat.com/errata/RHSA-2009-1616.html
Comment 24 errata-xmlrpc 2010-08-04 17:31:11 EDT
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html
Comment 25 Kurt Seifried 2011-10-25 16:10:48 EDT
All children bugs are closed, closing parent bug

Note You need to log in before you can comment on or make changes to this bug.